| Home | Libraries | People | FAQ | More

#### strategy::buffer::side_straight

Let the buffer use straight sides along segments (the default)

###### Description

This strategy can be used as SideStrategy for the buffer algorithm. It is currently the only provided strategy for this purpose

###### Synopsis

    class strategy::buffer::side_straight
    {
      // ...
    };

###### Header

`#include <boost/geometry/strategies/cartesian/buffer_side_straight.hpp>`

###### Example

See the examples for other buffer strategies, for example join_round

###### See also

- buffer (with strategies)